Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillCandlestickPlot

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillChartPlot
          net.sf.jasperreports.charts.fill.JRFillCandlestickPlot

All Implemented Interfaces:
  java.lang.Cloneable, JRCandlestickPlot, JRTimeAxisFormat, JRValueAxisFormat, JRChartPlot, JRCloneable

    public class JRFillCandlestickPlot

extends JRFillChartPlot
implements JRCandlestickPlot

Version:
  $Id: JRFillCandlestickPlot.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`protected java.awt.Color` | `timeAxisLabelColor`
`protected JRFont` | `timeAxisLabelFont`
`protected java.awt.Color` | `timeAxisLineColor`
`protected java.awt.Color` | `timeAxisTickLabelColor`
`protected JRFont` | `timeAxisTickLabelFont`
`protected java.awt.Color` | `valueAxisLabelColor`
`protected JRFont` | `valueAxisLabelFont`
`protected java.awt.Color` | `valueAxisLineColor`
`protected java.awt.Color` | `valueAxisTickLabelColor`
`protected JRFont` | `valueAxisTickLabelFont`

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`chart, parent`

Constructor Summary
`JRFillCandlestickPlot(JRCandlestickPlot candlestickPlot, JRFillObjectFactory factory)`

Method Summary
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`java.awt.Color` | `getOwnTimeAxisLabelColor()`
`java.awt.Color` | `getOwnTimeAxisLineColor()`
`java.awt.Color` | `getOwnTimeAxisTickLabelColor()`
`java.awt.Color` | `getOwnValueAxisLabelColor()`
`java.awt.Color` | `getOwnValueAxisLineColor()`
`java.awt.Color` | `getOwnValueAxisTickLabelColor()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`java.lang.Boolean` | `getShowVolume()`
`java.awt.Color` | `getTimeAxisLabelColor()`
`JRExpression` | `getTimeAxisLabelExpression()`
`JRFont` | `getTimeAxisLabelFont()`
`java.awt.Color` | `getTimeAxisLineColor()`
`java.awt.Color` | `getTimeAxisTickLabelColor()`
`JRFont` | `getTimeAxisTickLabelFont()`
`java.lang.String` | `getTimeAxisTickLabelMask()`
`java.lang.Boolean` | `getTimeAxisVerticalTickLabels()`
`java.awt.Color` | `getValueAxisLabelColor()`
`JRExpression` | `getValueAxisLabelExpression()`
`JRFont` | `getValueAxisLabelFont()`
`java.awt.Color` | `getValueAxisLineColor()`
`java.awt.Color` | `getValueAxisTickLabelColor()`
`JRFont` | `getValueAxisTickLabelFont()`
`java.lang.String` | `getValueAxisTickLabelMask()`
`java.lang.Boolean` | `getValueAxisVerticalTickLabels()`
`boolean` | `isShowVolume()` Deprecated. Replaced by `getShowVolume()`
`void` | `setTimeAxisLabelColor(java.awt.Color color)`
`void` | `setTimeAxisLineColor(java.awt.Color color)`
`void` | `setTimeAxisTickLabelColor(java.awt.Color color)`
`void` | `setValueAxisLabelColor(java.awt.Color color)`
`void` | `setValueAxisLineColor(java.awt.Color color)`
`void` | `setValueAxisTickLabelColor(java.awt.Color color)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### timeAxisLabelFont

    protected JRFont timeAxisLabelFont

### timeAxisLabelColor

    protected java.awt.Color timeAxisLabelColor

### timeAxisTickLabelFont

    protected JRFont timeAxisTickLabelFont

### timeAxisTickLabelColor

    protected java.awt.Color timeAxisTickLabelColor

### timeAxisLineColor

    protected java.awt.Color timeAxisLineColor

### valueAxisLabelFont

    protected JRFont valueAxisLabelFont

### valueAxisLabelColor

    protected java.awt.Color valueAxisLabelColor

### valueAxisTickLabelFont

    protected JRFont valueAxisTickLabelFont

### valueAxisTickLabelColor

    protected java.awt.Color valueAxisTickLabelColor

### valueAxisLineColor

    protected java.awt.Color valueAxisLineColor

Constructor Detail

### JRFillCandlestickPlot

    public JRFillCandlestickPlot(JRCandlestickPlot candlestickPlot,
                                 JRFillObjectFactory factory)

Method Detail

### getTimeAxisLabelExpression

    public JRExpression getTimeAxisLabelExpression()

  Specified by:
    `getTimeAxisLabelExpression` in interface `JRCandlestickPlot`

### getTimeAxisLabelFont

    public JRFont getTimeAxisLabelFont()

  Specified by:
    `getTimeAxisLabelFont` in interface `JRTimeAxisFormat`

### getTimeAxisLabelColor

    public java.awt.Color getTimeAxisLabelColor()

  Specified by:
    `getTimeAxisLabelColor` in interface `JRTimeAxisFormat`

### getOwnTimeAxisLabelColor

    public java.awt.Color getOwnTimeAxisLabelColor()

  Specified by:
    `getOwnTimeAxisLabelColor` in interface `JRTimeAxisFormat`

### setTimeAxisLabelColor

    public void setTimeAxisLabelColor(java.awt.Color color)

### getTimeAxisTickLabelFont

    public JRFont getTimeAxisTickLabelFont()

  Specified by:
    `getTimeAxisTickLabelFont` in interface `JRTimeAxisFormat`

### getTimeAxisTickLabelColor

    public java.awt.Color getTimeAxisTickLabelColor()

  Specified by:
    `getTimeAxisTickLabelColor` in interface `JRTimeAxisFormat`

### getOwnTimeAxisTickLabelColor

    public java.awt.Color getOwnTimeAxisTickLabelColor()

  Specified by:
    `getOwnTimeAxisTickLabelColor` in interface `JRTimeAxisFormat`

### setTimeAxisTickLabelColor

    public void setTimeAxisTickLabelColor(java.awt.Color color)

### getTimeAxisTickLabelMask

    public java.lang.String getTimeAxisTickLabelMask()

  Specified by:
    `getTimeAxisTickLabelMask` in interface `JRTimeAxisFormat`

### getTimeAxisVerticalTickLabels

    public java.lang.Boolean getTimeAxisVerticalTickLabels()

  Specified by:
    `getTimeAxisVerticalTickLabels` in interface `JRTimeAxisFormat`

### getTimeAxisLineColor

    public java.awt.Color getTimeAxisLineColor()

  Specified by:
    `getTimeAxisLineColor` in interface `JRTimeAxisFormat`

### getOwnTimeAxisLineColor

    public java.awt.Color getOwnTimeAxisLineColor()

  Specified by:
    `getOwnTimeAxisLineColor` in interface `JRTimeAxisFormat`

### setTimeAxisLineColor

    public void setTimeAxisLineColor(java.awt.Color color)

### getValueAxisLabelExpression

    public JRExpression getValueAxisLabelExpression()

  Specified by:
    `getValueAxisLabelExpression` in interface `JRCandlestickPlot`

### getDomainAxisMinValueExpression

    public JRExpression getDomainAxisMinValueExpression()

  Specified by:
    `getDomainAxisMinValueExpression` in interface `JRCandlestickPlot`

### getDomainAxisMaxValueExpression

    public JRExpression getDomainAxisMaxValueExpression()

  Specified by:
    `getDomainAxisMaxValueExpression` in interface `JRCandlestickPlot`

### getRangeAxisMinValueExpression

    public JRExpression getRangeAxisMinValueExpression()

  Specified by:
    `getRangeAxisMinValueExpression` in interface `JRCandlestickPlot`

### getRangeAxisMaxValueExpression

    public JRExpression getRangeAxisMaxValueExpression()

  Specified by:
    `getRangeAxisMaxValueExpression` in interface `JRCandlestickPlot`

### getValueAxisLabelFont

    public JRFont getValueAxisLabelFont()

  Specified by:
    `getValueAxisLabelFont` in interface `JRValueAxisFormat`

### getValueAxisLabelColor

    public java.awt.Color getValueAxisLabelColor()

  Specified by:
    `getValueAxisLabelColor` in interface `JRValueAxisFormat`

### getOwnValueAxisLabelColor

    public java.awt.Color getOwnValueAxisLabelColor()

  Specified by:
    `getOwnValueAxisLabelColor` in interface `JRValueAxisFormat`

### setValueAxisLabelColor

    public void setValueAxisLabelColor(java.awt.Color color)

### getValueAxisTickLabelFont

    public JRFont getValueAxisTickLabelFont()

  Specified by:
    `getValueAxisTickLabelFont` in interface `JRValueAxisFormat`

### getValueAxisTickLabelColor

    public java.awt.Color getValueAxisTickLabelColor()

  Specified by:
    `getValueAxisTickLabelColor` in interface `JRValueAxisFormat`

### getOwnValueAxisTickLabelColor

    public java.awt.Color getOwnValueAxisTickLabelColor()

  Specified by:
    `getOwnValueAxisTickLabelColor` in interface `JRValueAxisFormat`

### setValueAxisTickLabelColor

    public void setValueAxisTickLabelColor(java.awt.Color color)

### getValueAxisTickLabelMask

    public java.lang.String getValueAxisTickLabelMask()

  Specified by:
    `getValueAxisTickLabelMask` in interface `JRValueAxisFormat`

### getValueAxisVerticalTickLabels

    public java.lang.Boolean getValueAxisVerticalTickLabels()

  Specified by:
    `getValueAxisVerticalTickLabels` in interface `JRValueAxisFormat`

### getValueAxisLineColor

    public java.awt.Color getValueAxisLineColor()

  Specified by:
    `getValueAxisLineColor` in interface `JRValueAxisFormat`

### getOwnValueAxisLineColor

    public java.awt.Color getOwnValueAxisLineColor()

  Specified by:
    `getOwnValueAxisLineColor` in interface `JRValueAxisFormat`

### setValueAxisLineColor

    public void setValueAxisLineColor(java.awt.Color color)

### isShowVolume

    public boolean isShowVolume()

  Deprecated. Replaced by `getShowVolume()`

  Specified by:
    `isShowVolume` in interface `JRCandlestickPlot`

### getShowVolume

    public java.lang.Boolean getShowVolume()

  Specified by:
    `getShowVolume` in interface `JRCandlestickPlot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com